
package be.cylab.java.wowa.training;

import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 * @author tibo
 */
public class Example {

    public static void main(String[] args) {
        Logger LOGGER = Logger.getLogger(Trainer.class.getName());
        LOGGER.setLevel(Level.INFO);
        TrainerParameters parameters = new TrainerParameters(LOGGER, 10, 60, 10, TrainerParameters.SELECTION_METHOD_RWS, 100);
        Trainer trainer = new Trainer(parameters);
        List<double[]> data = new ArrayList<>();
        for (int i = 0; i < 5; i++) {
            double[] element = {Math.random(), Math.random(), Math.random()};
            data.add(element);
        }
        double[] expected = new double[5];

        for (int j = 0; j < 5; j++) {
            expected[j] = Math.random();
        }

        SolutionDistance solution = trainer.run(data, expected);
        System.out.println(solution);


    }
}
